PSM is not available or does not work with Mozilla 0.6

VERIFIED FIXED

Status

()

Core
Security
--
major
VERIFIED FIXED
17 years ago
17 years ago

People

(Reporter: Amit D Chaudhary, Assigned: Mitchell Stoltz (not reading bugmail))

Tracking

Trunk
x86
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

17 years ago
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.17 i686; en-US;0.6) Gecko/20001205
BuildID:    0.6

I tried installing PSM from the website it did not work. Then I went and
downloaded PSM from the iplanet website and even that does not work. After the
installation neither mozilla nor psm run, error
./mozilla-bin: error in loading shared libraries: ./libgkgfx.so: undefined
symbol: __vt_28nsCreateInstanceByContractID  

Reproducible: Always
Steps to Reproduce:
1. Install mozilla 0.6, I am using linux kernel 2.2.17, but was originally
redhat 6.2
2. Then install psm(Personal Security Manager) in the same directory.
3. Run either ./start_psm or mozilla

Actual Results:  There are errors regarding undefined symbols in the libraries.
Examples include:
**************************************************
nsNativeComponentLoader:
SelfRegisterDll(/usr/local/mozilla/components/libimport.so) Load FAILED with
error: /usr/local/mozilla/components/libimport.so: undefined symbol:
__vt_24nsGetServiceByContractID
**************************************************
**************************************************
nsNativeComponentLoader:
SelfRegisterDll(/usr/local/mozilla/components/libmsgdb.so) Load FAILED with
error: ./libmsgbaseutil.so: undefined symbol: do_AppendFromElement__8nsStringUs
**************************************************
**************************************************
nsNativeComponentLoader:
SelfRegisterDll(/usr/local/mozilla/components/libabsyncsvc.so) Load FAILED with
error: ./libmsgbaseutil.so: undefined symbol: do_AppendFromElement__8nsStringUs  

Expected Results:  Mozilla should run and I can use https: urls
Reporter, 0.6 is a very old Mozilla build (it's from the Netscape 6.0 branch, 
which branched in September -- see http://www.mozilla.org/roadmap.html).  Can 
you reproduce this problem with a recent nightly?

Comment 2

17 years ago
Reporter, Mozilla 0.7 will come out this week and contains PSM installed by
default, and best of all, it works (at least for other linux people it does).
I suggest you download 0.7 instead of keeping 0.6.
Thanks!
Fabian.
(Reporter)

Comment 3

17 years ago
Will try 0.7 when it is released and report back.

FYI, others also had the same issue.
http://lists.svlug.org/pipermail/svlug/2000-December/005424.html

Comment 4

17 years ago
PSM works in the current nightlies. Marking fixed.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → FIXED
(Reporter)

Comment 5

17 years ago
Check this on a night build, build id:2001010512. Found it to be fixed.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.